"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const react_1 = require("@storybook/react");
const _1 = require("./");
const Button_1 = require("components/Button");
const react_2 = require("@storybook/addon-knobs/react");
const OverlayDemo = () => {
    const [open, setOpen] = React.useState(false);
    return (React.createElement("div", { style: { padding: '20px 40px' } },
        React.createElement(Button_1.Button, { onClick: () => setOpen(true) }, "open Overlay"),
        React.createElement(_1.Overlay, { className: react_2.text("className", "flex justify-center items-center text-white"), open: open },
            React.createElement(Button_1.Button, { onClick: () => setOpen(false), type: "error" }, "close Overlay"))));
};
react_1.storiesOf("Components/Overlay", module).addWithJSX("A basic component can be used as overlay", () => (React.createElement(_1.Overlay, { className: react_2.text("className", "flex justify-center items-center text-white"), open: react_2.boolean("open", false) }, react_2.text("chidren", "i am an overlay"))));
react_1.storiesOf("Components/Overlay/Demo", module).addWithJSX("of Overlay", () => React.createElement(OverlayDemo, null));
